<?php

namespace smusatov\bzb2u;

class Label
{
    protected int $width;
    protected int $height;
    protected int $gap;

    public function __construct(int $width, int $height, int $gap)
    {
        $this->width = $width;
        $this->height = $height;
        $this->gap = $gap;
    }

    public function getWidth(bool $px = false): int
    {
        return $px ? $this->width * 8 : $this->width;
    }

    public function getHeight(bool $px = false): int
    {
        return $px ? $this->height * 8 : $this->height;
    }

    public function getGap(bool $px = false): int
    {
        return $px ? $this->gap * 8 : $this->gap;
    }

}
